/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.flink.formats.json;

import org.apache.flink.shaded.jackson2.com.fasterxml.jackson.databind.node.ObjectNode;

/**
 * DeserializationSchema that deserializes a JSON String into an ObjectNode.
 *
 * <p>Fields can be accessed by calling objectNode.get(&lt;name>).as(&lt;type>)
 *
 * @deprecated Use {@code new JsonDeserializationSchema(ObjectNode.class)} instead
 */
@Deprecated
public class JsonNodeDeserializationSchema extends JsonDeserializationSchema<ObjectNode> {

    private static final long serialVersionUID = 2L;

    public JsonNodeDeserializationSchema() {
        super(ObjectNode.class);
    }
}
